import { ApolloClient } from "apollo-client";
export interface WidgetIdent {
    tenantAlias: string;
    appDomain: string;
    token: string;
    userId: string;
    accountId: string;
    engagementMedium: "POPUP" | "EMBED" | string;
    programId: string;
}
/**
 * Links up to Squatch.js running in the parent frame, and exposes an API for trigger things outside of the scope of a single widget.
 */
export interface SquatchJSApi {
    open(): any;
    close(): any;
}
export declare function widgetIdent(): WidgetIdent;
declare const API: {
    version: string;
    analytics: {
        shareEvent(shareMedium: string): Promise<any>;
        loadEvent(): Promise<{
            event: string;
        }>;
    };
    graphql: {
        getClient(): ApolloClient<import("apollo-cache-inmemory").NormalizedCacheObject>;
        getUserFragment(userFragment: any, fragmentVariables: any): any;
        getShareLink(): any;
        getMessageLink(medium: string): any;
        getMessageLinks(mediums: Array<string>): any;
    };
    ui: any;
};
export { API };
/**
 * Key-value simple object
 */
export interface SimpleObject {
    [key: string]: any;
}
